GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtAddrMode Class Reference
GTPin: GEN Architecture

Addressing mode of the instruction operand. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtAddrMode (GED_ADDR_MODE v=GED_ADDR_MODE_INVALID)
| Conversion constructor.
constexpr | operator GED_ADDR_MODE () const
| Conversion operator.
constexpr bool | IsDirect () const
| Return true for direct address mode.
constexpr bool | IsIndirect () const
| Return true for indirect address mode.
const char * | ToString () const
| Return true string representation.

## Detailed Description

Addressing mode of the instruction operand.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT